org.eclipse.modisco.jee.jsp.discoverer

## Class DiscoverJspModelFromJavaElement

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<T>
    - - org.eclipse.modisco.jee.jsp.discoverer.AbstractJspDiscoverer<IJavaElement>
      - - org.eclipse.modisco.jee.jsp.discoverer.DiscoverJspModelFromJavaElement

All Implemented Interfaces:
  IDiscoverer<IJavaElement>

    public class DiscoverJspModelFromJavaElement
    extends AbstractJspDiscoverer<IJavaElement>

### Field Summary

Fields
`static java.lang.String` `ID`

### Fields inherited from class org.eclipse.modisco.jee.jsp.discoverer.AbstractJspDiscoverer

`EXTENSION_LIST, JSP_FILE_EXTENSION`

### Constructor Summary

Constructors
Constructor and Description
`DiscoverJspModelFromJavaElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isApplicableTo(IJavaElement javaElement)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.jee.jsp.discoverer.AbstractJspDiscoverer

`isJspExtension`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### DiscoverJspModelFromJavaElement

    public DiscoverJspModelFromJavaElement()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IJavaElement javaElement)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `javaElement` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.